Bug 27579 - [CSS3 Backgrounds and Borders] border shorthand needs to also reset border-image
Summary: [CSS3 Backgrounds and Borders] border shorthand needs to also reset border-image
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Dave Hyatt
URL:
Keywords:
Depends on:
Blocks: 27569
  Show dependency treegraph
 
Reported: 2009-07-22 15:50 PDT by Dave Hyatt
Modified: 2011-09-16 09:29 PDT (History)
2 users (show)

See Also:


Attachments
Patch (4.42 KB, patch)
2011-09-15 16:37 PDT, Dave Hyatt
bdakin: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Hyatt 2009-07-22 15:50:51 PDT
The border shorthand is now supposed to reset border-image.  We may want to only do this for the new border-image property and leave -webkit-border-image alone (probably safer to do this).
Comment 1 Dave Hyatt 2011-09-15 16:37:35 PDT
Created attachment 107564 [details]
Patch
Comment 2 Dave Hyatt 2011-09-15 16:44:38 PDT
Fixed in r95242.
Comment 3 Pavel Feldman 2011-09-16 09:29:24 PDT
This breaks inspector test (inspector/styles/styles-update-from-js.html) that needs simple rebaseline.